/* Position Intro and Logo
****************************/
.top-wrapper .container {
    margin-top: 4em;
}

@media (max-width: 1000px) {
    .top-wrapper .container {
        margin-top: 1em;
    }
}

.top-wrapper .intro {
    min-width: 249px; /* width of image */
}


.top-wrapper .intro img {
    width: 249px;
}

.top-wrapper .intro h1 {
    width: 60%;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
}

@media (max-width: 700px) {
    .top-wrapper .intro {
        min-width: 0;
    }

    .top-wrapper .intro img {
        display:none;
    }

    .top-wrapper .intro h1 {
        width: 100%;
    }
}

/* Main Navigation
****************************/
.main-nav {
    list-style: none;
    margin: 0;
    padding: 0;
    margin-right:auto;
    margin-left:auto;
    width:50%; /*70% when three, 50% when two, man this is old, pre-flexbox*/
}

@media (max-width: 1000px) {
    .main-nav {
        width: 90%;
    }
}

@media (max-width: 700px) {
    .main-nav {
        width: 100%;
    }
}

.main-nav {
    /* stealing from h1 styles */
    font-family: 'Roboto Condensed', Georgia, 'Times New Roman', Times, serif;
    font-weight: 500;
    line-height: 1.1;
    color: inherit;
    font-size: 26px;
}

.main-nav li a:link, .main-nav li a:visited {
    float: left;
    margin-right: 0.5em;
    min-width:240px;
    text-align: center;
    background-repeat: no-repeat;
    background-image: url(images/hexagon-button.png);
    padding-top:100px;
    padding-bottom:100px;
}

@media (max-width: 1199px) {
    .main-nav li a:link, .main-nav li a:visited {
        min-width: 190px;
        background-image: url(images/hexagon-button-sm.png);
        padding-top: 80px;
    }
}

@media (max-width: 630px) {
    .main-nav li a:link, .main-nav li a:visited {
        float: none;
        min-width: 0;
        background-image: none;
        padding-top: 0;
        padding-bottom: 0;
    }

    .main-nav li {
        display: inline;
    }

    ul.main-nav {
        text-align: center;
        margin-top: 1em;
    }
}

.main-nav li a:link, .main-nav li a:visited {
    color: black;
    font-weight: bold;
    text-decoration: none;
    opacity: 0.8;
}

.main-nav li a:hover {
    opacity: 1;
}

@media (max-width: 630px) {
    .main-nav li a:link, .main-nav li a:visited {
        color: #f0ad4e;
        text-decoration: underline;
        opacity: 1;
    }
}
/* Background Setup
****************************/

/* if the background image was taller, i could drop the "fixed" attachment, set the image on both top and bottom wrappers,
 * and position the bottom wrapper at 150% so it looks like the image picks up where it left off at the top.
 */

body {
    background-color: #818D96;
    background-image: url(images/skyline-with-blur.png);
    background-attachment: fixed;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    margin: 0;
    padding: 0;
    color: black;
}

.top-wrapper, .mid-wrapper, .bottom-wrapper {
    padding-bottom: 5em;
    padding-top: 5em;
}

.bottom-wrapper {
    margin-bottom:15em;
}

.mid-wrapper {
    background-color: #3278B1;
    color: white;
}

@media (max-width: 630px) {
    body {
        background-image: none;
        background-attachment: scroll;
    }
}

/* Portfolio  Styles
****************************/

#portfolio h2 {
    border-bottom: white 5px solid;
    width: 30%;
    margin-bottom:2em;
}

/* Spacing */

#portfolio ul {
    list-style: none;
    padding-left: 0;
}

#portfolio ul li {
    padding-left: 0;
    padding-bottom: 2em;
}

#portfolio ul li p {
    width:90%;
    margin-right: auto;
    margin-left: auto;
}

#portfolio ul li figure {
    padding-bottom: 1em;
}

/* For Small Devices */

#portfolio ul {
    text-align: center;
}

#portfolio ul li {
    max-width: 95%;
    margin-right: auto;
    margin-left: auto;
}


/* Contact Styles
****************************/

#contact h2 {
    border-bottom: black 5px solid;
    width: 30%;
}

#contact form {
    padding-left: 0;
}

#contact ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

#contact ul li {
    width: 75px;
    float: left;
    margin-right: 1em;
}

#contact ul li a:link, #contact ul li a:visited {
    width:75px;
    float: left;
    text-align: center;
    background-repeat: no-repeat;
    padding-top:34px;
    padding-bottom:44px;
}

#contact ul li a:link, #contact ul li a:visited {
    color: rgba(255,255,255,0);
    font-weight: bold;
    text-decoration: none;
    opacity: 0.8;
}

#contact ul li a:hover {
    color: rgba(255,255,255,1);
    opacity: 1;
}

#contact ul li a.fb {
    background-image: url(images/icon-fb.png);
}

#contact ul li a.flickr {
    background-image: url(images/icon-flickr.png);
}

#contact ul li a.github {
    background-image: url(images/icon-github.png);
}

#contact ul li a.plus {
    background-image: url(images/icon-plus.png);
}

#contact ul li a.linkedin {
    background-image: url(images/icon-linkedin.png);
}

#contact ul li a.rss {
    background-image: url(images/icon-rss.png);
}

#contact ul li a.twitter {
    background-image: url(images/icon-twitter.png);
}

#contact ul span.top  {
    width: 267px;
    display: inline-block;
    position: relative;
    left: 45px;
}

#contact ul span.bottom  {
    width: 356px;
    height: 98px;
    display: block;
}

#contact button {  
    width: 101px;
    height: 46px;
    background-image: url(images/send-button.png);
    background-color: transparent;
    border: 0;
    padding: 0;
}

#contact .send {
    text-align: right;
}

#contact label {
    margin-left: -9999px;
}

#contact input, #contact textarea {
    border: 3px solid #3278B1;
    border-radius: 0;
    background-color: rgba(154,210,242,.5);
    color: black;
}


#contact input::-moz-placeholder, #contact textarea::-moz-placeholder {
    color: black;
}
#contact input:-ms-input-placeholder, #contact textarea:-ms-input-placeholder {
    color: black;
}
#contact input::-webkit-input-placeholder, #contact textarea::-webkit-input-placeholder {
    color: black;
}
#contact input::input-placeholder, #contact textarea::input-placeholder {
    color: black;
}

.visuallyhidden {
    display: none;
}
